> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gptproto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Runwayml-Gen3a_turbo-5 - Generate Task

> Runwayml-Gen3a_turbo-5 — Generate Task. GPTProto API reference.

Runway's generate task.mdx for the generate task API.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://gptproto.com/runway/v1/pro/generate" \
    -H "Authorization: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
    "ratio": "16:9",
    "prompt": "a kitten",
    "style": "cinematic",
    "model": "runwayml-gen3a_turbo-5",
    "options": {
      "seconds": 10,
      "motion_vector": {
        "x": 0,
        "y": 0.3999999999999999,
        "z": 0,
        "r": -6,
        "bg_x_pan": 0,
        "bg_y_pan": 0
      }
    }
  }'
  ```

  ```python Python theme={null}
  import requests
  import json

  url = "https://gptproto.com/runway/v1/pro/generate"
  headers = {
      "Authorization": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
    "ratio": "16:9",
    "prompt": "a kitten",
    "style": "cinematic",
    "model": "runwayml-gen3a_turbo-5",
    "options": {
      "seconds": 10,
      "motion_vector": {
        "x": 0,
        "y": 0.3999999999999999,
        "z": 0,
        "r": -6,
        "bg_x_pan": 0,
        "bg_y_pan": 0
      }
    }
  }

  response = requests.post(url, headers=headers, json=data)
  result = response.json()
  print(json.dumps(result, indent=2))
  ```

  ```javascript JavaScript theme={null}
  const url = "https://gptproto.com/runway/v1/pro/generate";
  const headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
  };

  const data = {
    "ratio": "16:9",
    "prompt": "a kitten",
    "style": "cinematic",
    "model": "runwayml-gen3a_turbo-5",
    "options": {
      "seconds": 10,
      "motion_vector": {
        "x": 0,
        "y": 0.3999999999999999,
        "z": 0,
        "r": -6,
        "bg_x_pan": 0,
        "bg_y_pan": 0
      }
    }
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(data)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error("Error:", error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://gptproto.com/runway/v1/pro/generate"

      payload := []byte(`{
  "ratio": "16:9",
  "prompt": "a kitten",
  "style": "cinematic",
  "model": "runwayml-gen3a_turbo-5",
  "options": {
  "seconds": 10,
  "motion_vector": {
  "x": 0,
  "y": 0.3999999999999999,
  "z": 0,
  "r": -6,
  "bg_x_pan": 0,
  "bg_y_pan": 0
  }
  }
  }`)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
      req.Header.Set("Authorization", "YOUR_API_KEY")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```
</CodeGroup>

<CodeGroup>
  ```json 401 - Invalid signature theme={null}
  {
    "error": {
      "message": "Invalid signature",
      "type": "401"
    }
  }
  ```

  ```json 403 - Insufficient balance theme={null}
  {
    "error": {
      "message": "Insufficient balance",
      "type": "403"
    }
  }
  ```

  ```json 500 - Internal server error theme={null}
  {
    "error": {
      "message": "Internal server error",
      "type": "500"
    }
  }
  ```

  ```json 503 - Content policy violation theme={null}
  {
    "error": {
      "message": "Input may not meet the guidelines. Please adjust and try again.",
      "type": "503"
    }
  }
  ```
</CodeGroup>

## Parameters

| Parameter | Type   | Required | Default                                                                                                                                                                                              | Description                      |
| --------- | ------ | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------- |
| `ratio`   | string | ❌ No     | `16:9`                                                                                                                                                                                               | Ratio parameter                  |
| `prompt`  | string | ✅ Yes    | `a kitten`                                                                                                                                                                                           | Prompt parameter                 |
| `style`   | string | ❌ No     | `cinematic`                                                                                                                                                                                          | Style parameter                  |
| `model`   | string | ✅ Yes    | `runwayml-gen3a_turbo-5`                                                                                                                                                                             | The model to use for the request |
| `options` | object | ❌ No     | `{&quot;seconds&quot;: 10, &quot;motion_vector&quot;: {&quot;x&quot;: 0, &quot;y&quot;: 0.3999999999999999, &quot;z&quot;: 0, &quot;r&quot;: -6, &quot;bg_x_pan&quot;: 0, &quot;bg_y_pan&quot;: 0}}` | Options parameter                |
